OnlyFans API
FanslyFollowers

List Followers

Get the list of followers for a Fansly Account. Followers are accounts that have followed (but not necessarily subscribed to) the creator.

GET
/api/fansly/{fanslyAccount}/followers
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

fanslyAccount*string

The Fansly Account ID

Query Parameters

limit?string

Number of followers to return (1 - 100). Default = 20

offset?string

Number of followers to skip for pagination. Default = 0

search?string

Search followers by username/display name

last_seen_after?string

Filter to followers last seen after this timestamp (ISO 8601). The Fansly Creator Dashboard "Online" filter passes the moment 15 minutes ago.

Response Body

application/json

curl -X GET "https://app.onlyfansapi.com/api/fansly/fansly_acct_XXXXXXXXXXXXXXX/followers?limit=20&offset=0&search=&last_seen_after=2026-06-03T18%3A28%3A09Z"
{
  "data": {
    "followers": [
      {
        "id": "500000000000000001",
        "followerId": "600000000000000001"
      },
      {
        "id": "500000000000000002",
        "followerId": "600000000000000002"
      }
    ],
    "aggregationData": {
      "accounts": [
        {
          "id": "600000000000000001",
          "username": "fanfollower1",
          "displayName": null,
          "flags": 16,
          "version": 1,
          "createdAt": 1780400012000,
          "followCount": 1,
          "subscriberCount": 0,
          "statusId": 1,
          "lastSeenAt": 1780472357000,
          "followsYou": true,
          "profileAccess": true,
          "userFlags": 2
        },
        {
          "id": "600000000000000002",
          "username": "fanfollower2",
          "displayName": "Jamie",
          "flags": 0,
          "version": 3,
          "createdAt": 1780290012000,
          "followCount": 14,
          "subscriberCount": 0,
          "statusId": 1,
          "lastSeenAt": 1780472357000,
          "followsYou": true,
          "profileAccess": true,
          "userFlags": 2
        }
      ]
    },
    "hasMore": false
  },
  "_pagination": {
    "next_page": null
  },
  "_meta": {
    "_credits": {
      "used": 1,
      "balance": 10055809,
      "note": "Always"
    },
    "_cache": {
      "is_cached": false,
      "note": "Cache disabled for this endpoint"
    },
    "_rate_limits": {
      "limit_minute": 5000,
      "limit_day": null,
      "remaining_minute": 4999,
      "remaining_day": null,
      "notice": "We have decided to remove our daily rate limits. Please remove any references to these in your integrations."
    }
  }
}